Skip to main content
PUT
/
project
/
v1
/
planned-tasks
/
{plannedTaskId}
Update a planned task
curl --request PUT \
  --url https://api-{region}.sesametime.com/project/v1/planned-tasks/{plannedTaskId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startTime": "10:00",
  "endTime": "16:00"
}
'
{
  "data": {
    "accumulatedSeconds": 1200,
    "description": "This is a description for the planned task",
    "endDate": "2025-01-01",
    "endTime": "10:50",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "numComments": 1200,
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "startDate": "2023-12-25",
    "startTime": "16:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

plannedTaskId
string<uuid>
required

Planned task ID

Body

application/json

Planned task object with fields that need to be updated

startTime
string<time>

Start time of the planned task

Example:

"10:00"

endTime
string<time>

End time of the planned task

Example:

"16:00"

Response

200 - application/json

Object

data
object
meta
object